asnparser(1)

NAME
asnparser - ASN.1 to C/C++ converter

SYNOPSIS
asnparser [options]... asnfile

DESCRIPTION

asnparser is a command line application that helps to convert ASN.1 description files to C/C++ applications.

OPTIONS

All of the command line options to asnparser can be specified in long form, and the most commonly used options also have single character equivalents.

-c, --c++
    Generate C++ files.

-d, --debug
    Output a copious debug info on stderr.

-e, --echo
    Echo input file on stdout.

-i, --inlines
    Use C++ inlines.

-m, --module name
    Sets the module name prefix/namespace to name.

-n, --namespace
    Use C++ namespace.

-o, --output file
    Sets the output filename or directory to name.

-r, --rename from=to
    Rename import module from from to to.

-s[n], --split[n]
    Split output into n files (n defaults to 2).

-v, --verbose
    Verbose output, using this option multiple times will give even more verbose output.

-V, --version
    Display program version and exit.

EXAMPLES

asnparser -m H225 -r MULTIMEDIA-SYSTEM-CONTROL=H245 -c h225.asn

asnparser -s3 -m H245 -c h245.asn

SEE ALSO
None